squallelf

DSM 5.0 - 4458 is released today

Recommended Posts

Anyone been able to update their current version 5 update 1 with this update?

I keep getting a folder access error at the start of the update process on both of my dsm 5 update 1 machines.

Share this post


Link to post
Share on other sites

Hi there. Me too! the same problem - error(2) to access the temp folder. It appears just after the first stage, before update file check...

Share this post


Link to post
Share on other sites
Anyone been able to update their current version 5 update 1 with this update?

I keep getting a folder access error at the start of the update process on both of my dsm 5 update 1 machines.

 

Hi there. Me too! the same problem - error(2) to access the temp folder. It appears just after the first stage, before update file check...

 

:sad: me Too, error 2.

Copy the new VERSION file to /etc and /etc.defaults in rd.gz, it should work I guess. :wink:

Share this post


Link to post
Share on other sites

replaced the VERSION-file in /etc and /etc.defaults.. im guessing i need to do something more that i dont understand...

Share this post


Link to post
Share on other sites

what's new

 

http://www.synology.com/en-us/releaseNo ... l/RS812RP+

 

What's New in DSM 5.0

 

Brand New User Interface

Visual design has been totally revamped to provide a cleaner look and touch-friendly user experiences.

High-resolution images are displayed when launched with Ultra HD or retina-display supported devices.

Badges-style notification counters appear on application icons.

Login page displays local weather information.

& lots more

Share this post


Link to post
Share on other sites
Anyone been able to update their current version 5 update 1 with this update?

I keep getting a folder access error at the start of the update process on both of my dsm 5 update 1 machines.

 

Hi there. Me too! the same problem - error(2) to access the temp folder. It appears just after the first stage, before update file check...

 

:sad: me Too, error 2.

Copy the new VERSION file to /etc and /etc.defaults in rd.gz, it should work I guess. :wink:

 

how do we go about that with gnoboot, since rd.gz is packed into zImage?

 

edit:

 

fdisk -l zImage shows me partition info. partition starts at sector 15. I did the following, but can't mount the loop device, it keeps saying unknown filesystem, even if i use -t vfat option in mount command.

 

losetup /dev/loop0 zImage -o $((15*512))

Share this post


Link to post
Share on other sites
[spoiler=]zkr8li.jpg

 

Though, I'm running AMD Turion X2. :lol:

 

Some tutorial how to update?

 

I don't think we can do it, unless you know how to build kernels. rd.gz is inside the zImage (for latest revs of gnoboot), and everything i've read implies you need to be able to rebuild the zImage if you make changes to files in the ramdisk, especially if it changes the size.

Share this post


Link to post
Share on other sites
[spoiler=]zkr8li.jpg

 

Though, I'm running AMD Turion X2. :lol:

 

Some tutorial how to update?

 

I don't think we can do it, unless you know how to build kernels. rd.gz is inside the zImage (for latest revs of gnoboot), and everything i've read implies you need to be able to rebuild the zImage if you make changes to files in the ramdisk, especially if it changes the size.

 

So, looks like it's a hard work for a fresh linux guy

Share this post


Link to post
Share on other sites
[spoiler=]2eojvgg.jpg

 

Question: if i have usb boot with dsm 5.0 beta build and previously image installed,

can i use gnoboot to boot my installed image then upgrade ?

 

I have:

1 usb with dsm 5.0beta

2. previously DSM 5.0 beta

Share this post


Link to post
Share on other sites

great!

thanks gnoboot.

I check the ads everyday.

hope to help you.

 

[spoiler=]2eojvgg.jpg

 

Question: if i have usb boot with dsm 5.0 beta build and previously image installed,

can i use gnoboot to boot my installed image then upgrade ?

 

I have:

1 usb with dsm 5.0beta

2. previously DSM 5.0 beta

Share this post


Link to post
Share on other sites

Can somebody explain in a few simple words why its hard to distribute a DSM 5.0 XPEnelogy version to us ?

I read this whole tread but I don't get it. Thx.

Share this post


Link to post
Share on other sites

I'm not a professional about XPEnology but here is some thoughts about this:

 

On one hand, the OS from Synology is not designed for supporting all the hardware existing on the market. I think that synos are based on few different hardware configurations. So in order to be able to support all our hardware configurations many hardware drivers need to be added.

 

On the other hand, perhaps there are some new security features added by Synology to avoid this new 5.x to be used on other config than their own.

 

And a lot of other things to do, fix or adapt!

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.